"""Конфигурация серверного логерра"""
import os
import sys

import logging

from common.variables import LOGGING_LEVEL

sys.path.append('..')

# создаём формировщик логов (formatter):
SERVER_FORMATTER = logging.Formatter(
    '%(asctime)s %(levelname)s %(module)s %(message)s')

# Подготовка имени файла для логирования
PATH = os.path.dirname(os.path.realpath(__file__))
PATH = os.path.join(PATH, 'server_dir.log')

# Создаём потоки вывода логов
STREAM_HANDLER = logging.StreamHandler(sys.stderr)
STREAM_HANDLER.setFormatter(SERVER_FORMATTER)
STREAM_HANDLER.setLevel(logging.ERROR)
LOG_FILE = logging.FileHandler(PATH, encoding='utf8')
LOG_FILE.setFormatter(SERVER_FORMATTER)

# Создаём регистратор и настраиваем его
LOGGER = logging.getLogger('server_files')
LOGGER.addHandler(STREAM_HANDLER)
LOGGER.addHandler(LOG_FILE)
LOGGER.setLevel(LOGGING_LEVEL)

# Отладка
if __name__ == '__main__':
    LOGGER.critical('Критическая ошибка')
    LOGGER.error('Ошибка')
    LOGGER.debug('Отладочная информация')
    LOGGER.info('Информационное сообщение')
